/* Copyright (c) 2016-2018 APDM, Inc.
 *
 * mobilitylab_raw_data_plot_main.js
 *
 * RequireJS start script for the raw data plot in Mobility Lab.
 */

requirejs.config({
    baseUrl: '/static/javascript',

    shim: {
        'd3': {
            deps: ['fetch', 'es6-promise']
        }
    },
    paths: {
        app: '/mobility_clinic/javascript',
        jquery: '/static/3rdParty/libs/js/jquery/jquery.min',
        d3: '/static/3rdParty/libs/js/d3/d3.min',
        bootstrap: '/static/3rdParty/libs/js/bootstrap/bootstrap.min',
        'bootstrap-dialog': '/static/3rdParty/libs/js/bootstrap3-dialog/bootstrap-dialog',
        'bootstrap-select': '/static/3rdParty/libs/js/bootstrap-select/bootstrap-select.min',
        crossroads: '/static/3rdParty/libs/js/crossroads/crossroads.min',
        'es6-promise': '/static/3rdParty/libs/js/es6-promise/es6-promise.min',
        fetch: '/static/3rdParty/libs/js/fetch/fetch',
        hasher: '/static/3rdParty/libs/js/hasher/hasher.min',
        moment: '/static/3rdParty/libs/js/moment/moment-with-locales.min',
        pubsub: '/static/3rdParty/libs/js/pubsub-js/pubsub',
        signals: '/static/3rdParty/libs/js/js-signals/signals.min',
        tinysort: '/static/3rdParty/libs/js/tinysort/tinysort.min',
        videojs: '/static/3rdParty/libs/js/video.js/video.min'
    },

    deps: ['bootstrap-select']
});


requirejs(['app/mobilitylab_raw_data_plot', 'utils', 'es6-promise'],
          function(plot, utils, Promise)
{
    if (utils.isIE()) {
        window.Promise = Promise;
    }
    plot.open();
});
