"use strict";

/* Copyright (c) 2018 APDM, Inc
 *
 * RequireJS main for sequence editor page.
 */
requirejs.config({
  baseUrl: '/static/javascript',
  paths: {
    app: '/mobility_clinic/javascript',
    jquery: '/static/3rdParty/libs/js/jquery/jquery.min',
    d3: '/static/3rdParty/libs/js/d3/d3.min',
    bootstrap: '/static/3rdParty/libs/js/bootstrap/bootstrap.min',
    'bootstrap-dialog': '/static/3rdParty/libs/js/bootstrap3-dialog/bootstrap-dialog',
    'bootstrap-sortable': '/static/3rdParty/libs/js/bootstrap-sortable/bootstrap-sortable',
    'bootstrap-select': '/static/3rdParty/libs/js/bootstrap-select/bootstrap-select.min',
    crossroads: '/static/3rdParty/libs/js/crossroads/crossroads.min',
    'es6-promise': '/static/3rdParty/libs/js/es6-promise/es6-promise.min',
    hasher: '/static/3rdParty/libs/js/hasher/hasher.min',
    moment: '/static/3rdParty/libs/js/moment/moment-with-locales.min',
    signals: '/static/3rdParty/libs/js/js-signals/signals.min'
  },
  deps: ['bootstrap-select']
});
requirejs(['app/local_sequence_editor'], function (editor) {
  editor.open();
});
//# sourceMappingURL=sequence_editor_main.js.map
