/* Copyright (c) 2016, APDM Inc.
 *
 * ui_state.js
 *
 * Enum for UI states sent to server.  IMPORTANT! These must match the
 * names in com.apdm.mobilitylab.views.ClinicView.ClinicUIState
 */

define({
    WAITING_FOR_INIT: 'WAITING_FOR_INIT',
    WAITING_FOR_HW: 'WAITING_FOR_HW',
    WAITING_FOR_DOCK: 'WAITING_FOR_DOCK',
    RUNNING_TEST: 'RUNNING_TEST',
    STOPPING_TEST: 'STOPPING_TEST',
    WAITING_FOR_ANALYSIS: 'WAITING_FOR_ANALYSIS',
    READING_RESULTS: 'READING_RESULTS',
    EXITING_SEQUENCE: 'EXITING_SEQUENCE',
    CANCELING_TEST: 'CANCELING_TEST',
    DOCK_ERROR_PAGE: 'DOCK_ERROR_PAGE',
    FILE_ERROR_PAGE: 'FILE_ERROR_PAGE',
    ERROR_PAGE: 'ERROR_PAGE'
});
